"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("@nomicfoundation/hardhat-chai-matchers");
require("@nomicfoundation/hardhat-network-helpers");
require("@nomiclabs/hardhat-ethers");
require("@nomiclabs/hardhat-etherscan");
require("@typechain/hardhat");
require("hardhat-gas-reporter");
require("solidity-coverage");
/**
 * If a new official plugin is added, make sure that the tsconfig.json file and
 * the hardhat-toolbox workflow are updated. The parts of the documentation that
 * install hardhat-toolbox with npm 6 or yarn must also be updated. Finally, update
 * the list of dependencies that the sample projects install.
 */
const config_1 = require("hardhat/config");
(0, config_1.extendConfig)((config, userConfig) => {
    const configAsAny = config;
    // hardhat-gas-reporter doesn't use extendConfig, so
    // config.gasReporter === userConfig.gasReporter
    // we use userConfig.gasReporter here for the types
    const gasReporterConfig = userConfig.gasReporter;
    configAsAny.gasReporter = gasReporterConfig !== null && gasReporterConfig !== void 0 ? gasReporterConfig : {};
    if ((gasReporterConfig === null || gasReporterConfig === void 0 ? void 0 : gasReporterConfig.enabled) === undefined) {
        // eslint-disable-next-line @typescript-eslint/strict-boolean-expressions
        configAsAny.gasReporter.enabled = process.env.REPORT_GAS ? true : false;
    }
    if ((gasReporterConfig === null || gasReporterConfig === void 0 ? void 0 : gasReporterConfig.currency) === undefined) {
        configAsAny.gasReporter.currency = "USD";
    }
});
//# sourceMappingURL=index.js.map